/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/


#include "BitClkGen_BitClkGen.h"
#include "BitClkGen_defs.h"


void BitClkGen_Init(void)
{
    BitClkGen_DP_F0_SINGLE_BUFFER_SET;
    BitClkGen_DP_F1_SINGLE_BUFFER_SET;

    CY_SET_REG8(BitClkGen_DP_F0_PTR,14); // "TQ count - 6" in a data bit period.
    CY_SET_REG8(BitClkGen_DP_F1_PTR,74); // "TQ count - 6" in a nominal bit period.
}

void BitClkGen_Set_Timing(uint8 NominalBitPeriod, uint8 NominalTseg2, uint8 DataBitPeriod, uint8 DataTseg2)
{

    if( (NominalBitPeriod>6) && (DataBitPeriod>6) )
    {
        CY_SET_REG8(BitClkGen_DP_F0_PTR, DataBitPeriod - 6);    // "TQ count - 6" in a data bit period.
        CY_SET_REG8(BitClkGen_DP_F1_PTR, NominalBitPeriod - 6); // "TQ count - 6" in a nominal bit period.
        CY_SET_REG8(BitClkGen_DP_D0_PTR, DataTseg2 + 1);        // "TQ count + 1" in a data Tseg2 segment.
        CY_SET_REG8(BitClkGen_DP_D1_PTR, NominalTseg2 + 1);     // "TQ count + 1" in a nominal Tseg2 segment.
    }
}


/* [] END OF FILE */
