/*******************************************************************************
* File Name: CAN_RXD.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CAN_RXD_H) /* Pins CAN_RXD_H */
#define CY_PINS_CAN_RXD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CAN_RXD_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CAN_RXD__PORT == 15 && ((CAN_RXD__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    CAN_RXD_Write(uint8 value);
void    CAN_RXD_SetDriveMode(uint8 mode);
uint8   CAN_RXD_ReadDataReg(void);
uint8   CAN_RXD_Read(void);
void    CAN_RXD_SetInterruptMode(uint16 position, uint16 mode);
uint8   CAN_RXD_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the CAN_RXD_SetDriveMode() function.
     *  @{
     */
        #define CAN_RXD_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define CAN_RXD_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define CAN_RXD_DM_RES_UP          PIN_DM_RES_UP
        #define CAN_RXD_DM_RES_DWN         PIN_DM_RES_DWN
        #define CAN_RXD_DM_OD_LO           PIN_DM_OD_LO
        #define CAN_RXD_DM_OD_HI           PIN_DM_OD_HI
        #define CAN_RXD_DM_STRONG          PIN_DM_STRONG
        #define CAN_RXD_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define CAN_RXD_MASK               CAN_RXD__MASK
#define CAN_RXD_SHIFT              CAN_RXD__SHIFT
#define CAN_RXD_WIDTH              1u

/* Interrupt constants */
#if defined(CAN_RXD__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in CAN_RXD_SetInterruptMode() function.
     *  @{
     */
        #define CAN_RXD_INTR_NONE      (uint16)(0x0000u)
        #define CAN_RXD_INTR_RISING    (uint16)(0x0001u)
        #define CAN_RXD_INTR_FALLING   (uint16)(0x0002u)
        #define CAN_RXD_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define CAN_RXD_INTR_MASK      (0x01u) 
#endif /* (CAN_RXD__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CAN_RXD_PS                     (* (reg8 *) CAN_RXD__PS)
/* Data Register */
#define CAN_RXD_DR                     (* (reg8 *) CAN_RXD__DR)
/* Port Number */
#define CAN_RXD_PRT_NUM                (* (reg8 *) CAN_RXD__PRT) 
/* Connect to Analog Globals */                                                  
#define CAN_RXD_AG                     (* (reg8 *) CAN_RXD__AG)                       
/* Analog MUX bux enable */
#define CAN_RXD_AMUX                   (* (reg8 *) CAN_RXD__AMUX) 
/* Bidirectional Enable */                                                        
#define CAN_RXD_BIE                    (* (reg8 *) CAN_RXD__BIE)
/* Bit-mask for Aliased Register Access */
#define CAN_RXD_BIT_MASK               (* (reg8 *) CAN_RXD__BIT_MASK)
/* Bypass Enable */
#define CAN_RXD_BYP                    (* (reg8 *) CAN_RXD__BYP)
/* Port wide control signals */                                                   
#define CAN_RXD_CTL                    (* (reg8 *) CAN_RXD__CTL)
/* Drive Modes */
#define CAN_RXD_DM0                    (* (reg8 *) CAN_RXD__DM0) 
#define CAN_RXD_DM1                    (* (reg8 *) CAN_RXD__DM1)
#define CAN_RXD_DM2                    (* (reg8 *) CAN_RXD__DM2) 
/* Input Buffer Disable Override */
#define CAN_RXD_INP_DIS                (* (reg8 *) CAN_RXD__INP_DIS)
/* LCD Common or Segment Drive */
#define CAN_RXD_LCD_COM_SEG            (* (reg8 *) CAN_RXD__LCD_COM_SEG)
/* Enable Segment LCD */
#define CAN_RXD_LCD_EN                 (* (reg8 *) CAN_RXD__LCD_EN)
/* Slew Rate Control */
#define CAN_RXD_SLW                    (* (reg8 *) CAN_RXD__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CAN_RXD_PRTDSI__CAPS_SEL       (* (reg8 *) CAN_RXD__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CAN_RXD_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CAN_RXD__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CAN_RXD_PRTDSI__OE_SEL0        (* (reg8 *) CAN_RXD__PRTDSI__OE_SEL0) 
#define CAN_RXD_PRTDSI__OE_SEL1        (* (reg8 *) CAN_RXD__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CAN_RXD_PRTDSI__OUT_SEL0       (* (reg8 *) CAN_RXD__PRTDSI__OUT_SEL0) 
#define CAN_RXD_PRTDSI__OUT_SEL1       (* (reg8 *) CAN_RXD__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CAN_RXD_PRTDSI__SYNC_OUT       (* (reg8 *) CAN_RXD__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(CAN_RXD__SIO_CFG)
    #define CAN_RXD_SIO_HYST_EN        (* (reg8 *) CAN_RXD__SIO_HYST_EN)
    #define CAN_RXD_SIO_REG_HIFREQ     (* (reg8 *) CAN_RXD__SIO_REG_HIFREQ)
    #define CAN_RXD_SIO_CFG            (* (reg8 *) CAN_RXD__SIO_CFG)
    #define CAN_RXD_SIO_DIFF           (* (reg8 *) CAN_RXD__SIO_DIFF)
#endif /* (CAN_RXD__SIO_CFG) */

/* Interrupt Registers */
#if defined(CAN_RXD__INTSTAT)
    #define CAN_RXD_INTSTAT            (* (reg8 *) CAN_RXD__INTSTAT)
    #define CAN_RXD_SNAP               (* (reg8 *) CAN_RXD__SNAP)
    
	#define CAN_RXD_0_INTTYPE_REG 		(* (reg8 *) CAN_RXD__0__INTTYPE)
#endif /* (CAN_RXD__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CAN_RXD_H */


/* [] END OF FILE */
