/*******************************************************************************
* File Name: DeStuff_Count_11R.h
* Version 1.0
*
* Description:
*  This header file contains registers and constants associated with the
*  Count7 component.
*
* Note:
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_COUNT7_DeStuff_Count_11R_H)
#define CY_COUNT7_DeStuff_Count_11R_H

#include "cyfitter.h"

#if ((CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC4) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC5))
    #include "cytypes.h"
    #include "CyLib.h"
#else
    #include "syslib/cy_syslib.h"
#endif


/***************************************
* Function Prototypes
***************************************/
void  DeStuff_Count_11R_Init(void) ;
void  DeStuff_Count_11R_Enable(void) ;
void  DeStuff_Count_11R_Start(void) ;
void  DeStuff_Count_11R_Stop(void) ;
void  DeStuff_Count_11R_WriteCounter(uint8 count) ;
uint8 DeStuff_Count_11R_ReadCounter(void) ;
void  DeStuff_Count_11R_WritePeriod(uint8 period) ;
uint8 DeStuff_Count_11R_ReadPeriod(void) ;
void  DeStuff_Count_11R_SaveConfig(void) ;
void  DeStuff_Count_11R_RestoreConfig(void) ;
void  DeStuff_Count_11R_Sleep(void) ;
void  DeStuff_Count_11R_Wakeup(void) ;


/***************************************
*     Data Struct Definitions
***************************************/
/* Structure to save registers before go to sleep */
typedef struct
{
    uint8 enableState;
    uint8 count;
} DeStuff_Count_11R_BACKUP_STRUCT;


/***************************************
*           Global Variables
***************************************/
extern DeStuff_Count_11R_BACKUP_STRUCT DeStuff_Count_11R_backup;
extern uint8 DeStuff_Count_11R_initVar;


/***************************************
* Initial Parameter
***************************************/
#define DeStuff_Count_11R_INITIAL_PERIOD               (8u)


/***************************************
* Registers
***************************************/
#define DeStuff_Count_11R_COUNT_REG                    (*(reg8 *) DeStuff_Count_11R_Counter7__COUNT_REG)
#define DeStuff_Count_11R_COUNT_PTR                    ( (reg8 *) DeStuff_Count_11R_Counter7__COUNT_REG)
#define DeStuff_Count_11R_PERIOD_REG                   (*(reg8 *) DeStuff_Count_11R_Counter7__PERIOD_REG)
#define DeStuff_Count_11R_PERIOD_PTR                   ( (reg8 *) DeStuff_Count_11R_Counter7__PERIOD_REG)
#define DeStuff_Count_11R_AUX_CONTROL_REG              (*(reg8 *) DeStuff_Count_11R_Counter7__CONTROL_AUX_CTL_REG)
#define DeStuff_Count_11R_AUX_CONTROL_PTR              ( (reg8 *) DeStuff_Count_11R_Counter7__CONTROL_AUX_CTL_REG)


/***************************************
* Register Constants
***************************************/
#define DeStuff_Count_11R_COUNTER_START                (0x20u)

/* This constant is used to mask the TC bit (bit#7) in the Count register */
#define DeStuff_Count_11R_COUNT_7BIT_MASK              (0x7Fu)


#endif /* CY_COUNT7_DeStuff_Count_11R_H */


/* [] END OF FILE */
