/*******************************************************************************
* File Name: Waste.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Waste_H) /* Pins Waste_H */
#define CY_PINS_Waste_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Waste_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Waste__PORT == 15 && ((Waste__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Waste_Write(uint8 value);
void    Waste_SetDriveMode(uint8 mode);
uint8   Waste_ReadDataReg(void);
uint8   Waste_Read(void);
void    Waste_SetInterruptMode(uint16 position, uint16 mode);
uint8   Waste_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Waste_SetDriveMode() function.
     *  @{
     */
        #define Waste_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Waste_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Waste_DM_RES_UP          PIN_DM_RES_UP
        #define Waste_DM_RES_DWN         PIN_DM_RES_DWN
        #define Waste_DM_OD_LO           PIN_DM_OD_LO
        #define Waste_DM_OD_HI           PIN_DM_OD_HI
        #define Waste_DM_STRONG          PIN_DM_STRONG
        #define Waste_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Waste_MASK               Waste__MASK
#define Waste_SHIFT              Waste__SHIFT
#define Waste_WIDTH              1u

/* Interrupt constants */
#if defined(Waste__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Waste_SetInterruptMode() function.
     *  @{
     */
        #define Waste_INTR_NONE      (uint16)(0x0000u)
        #define Waste_INTR_RISING    (uint16)(0x0001u)
        #define Waste_INTR_FALLING   (uint16)(0x0002u)
        #define Waste_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Waste_INTR_MASK      (0x01u) 
#endif /* (Waste__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Waste_PS                     (* (reg8 *) Waste__PS)
/* Data Register */
#define Waste_DR                     (* (reg8 *) Waste__DR)
/* Port Number */
#define Waste_PRT_NUM                (* (reg8 *) Waste__PRT) 
/* Connect to Analog Globals */                                                  
#define Waste_AG                     (* (reg8 *) Waste__AG)                       
/* Analog MUX bux enable */
#define Waste_AMUX                   (* (reg8 *) Waste__AMUX) 
/* Bidirectional Enable */                                                        
#define Waste_BIE                    (* (reg8 *) Waste__BIE)
/* Bit-mask for Aliased Register Access */
#define Waste_BIT_MASK               (* (reg8 *) Waste__BIT_MASK)
/* Bypass Enable */
#define Waste_BYP                    (* (reg8 *) Waste__BYP)
/* Port wide control signals */                                                   
#define Waste_CTL                    (* (reg8 *) Waste__CTL)
/* Drive Modes */
#define Waste_DM0                    (* (reg8 *) Waste__DM0) 
#define Waste_DM1                    (* (reg8 *) Waste__DM1)
#define Waste_DM2                    (* (reg8 *) Waste__DM2) 
/* Input Buffer Disable Override */
#define Waste_INP_DIS                (* (reg8 *) Waste__INP_DIS)
/* LCD Common or Segment Drive */
#define Waste_LCD_COM_SEG            (* (reg8 *) Waste__LCD_COM_SEG)
/* Enable Segment LCD */
#define Waste_LCD_EN                 (* (reg8 *) Waste__LCD_EN)
/* Slew Rate Control */
#define Waste_SLW                    (* (reg8 *) Waste__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Waste_PRTDSI__CAPS_SEL       (* (reg8 *) Waste__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Waste_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Waste__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Waste_PRTDSI__OE_SEL0        (* (reg8 *) Waste__PRTDSI__OE_SEL0) 
#define Waste_PRTDSI__OE_SEL1        (* (reg8 *) Waste__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Waste_PRTDSI__OUT_SEL0       (* (reg8 *) Waste__PRTDSI__OUT_SEL0) 
#define Waste_PRTDSI__OUT_SEL1       (* (reg8 *) Waste__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Waste_PRTDSI__SYNC_OUT       (* (reg8 *) Waste__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Waste__SIO_CFG)
    #define Waste_SIO_HYST_EN        (* (reg8 *) Waste__SIO_HYST_EN)
    #define Waste_SIO_REG_HIFREQ     (* (reg8 *) Waste__SIO_REG_HIFREQ)
    #define Waste_SIO_CFG            (* (reg8 *) Waste__SIO_CFG)
    #define Waste_SIO_DIFF           (* (reg8 *) Waste__SIO_DIFF)
#endif /* (Waste__SIO_CFG) */

/* Interrupt Registers */
#if defined(Waste__INTSTAT)
    #define Waste_INTSTAT            (* (reg8 *) Waste__INTSTAT)
    #define Waste_SNAP               (* (reg8 *) Waste__SNAP)
    
	#define Waste_0_INTTYPE_REG 		(* (reg8 *) Waste__0__INTTYPE)
#endif /* (Waste__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Waste_H */


/* [] END OF FILE */
